%define debug_package %{nil}

Name:           ocamlmod
Version:        0.0.8
Release:        %mkrel 1
Summary:        Generate OCaml modules from source files
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/ocamlmod/
Source0:        https://github.com/gildor478/ocamlmod/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-oasis-devel

%description
Generate OCaml modules from source files.

%prep
%setup -q

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make

%install
make install

%files
%doc README.txt AUTHORS.txt INSTALL.txt
%{_bindir}/ocamlmod


%changelog
* Thu Feb 18 2016 daviddavid <daviddavid> 0.0.8-1.mga6
+ Revision: 966373
- new version: 0.0.8
- new upstream Source URL

* Fri Jan 29 2016 pterjan <pterjan> 0.0.7-6.mga6
+ Revision: 929030
- Rebuild for new ocaml

* Wed Oct 21 2015 tv <tv> 0.0.7-5.mga6
+ Revision: 893219
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.0.7-4.mga5
+ Revision: 748156
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.0.7-3.mga5
+ Revision: 725150
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.7-2.mga5
+ Revision: 683141
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 0.0.7-1.mga5
+ Revision: 673962
- update to 0.0.7

* Sat Oct 19 2013 umeabot <umeabot> 0.0.4-3.mga4
+ Revision: 536388
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.0.4-2.mga4
+ Revision: 484194
- rebuild for ocaml-4.01.0

* Mon Aug 12 2013 blue_prawn <blue_prawn> 0.0.4-1.mga4
+ Revision: 465593
- updated to last version 0.0.4

* Sun Jan 13 2013 umeabot <umeabot> 0.0.3-4.mga3
+ Revision: 361751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.0.3-3.mga3
+ Revision: 301075
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 blue_prawn <blue_prawn> 0.0.3-2.mga3
+ Revision: 300868
- new rpm group for ocaml

* Mon Jul 16 2012 blue_prawn <blue_prawn> 0.0.3-1.mga3
+ Revision: 271183
- imported package ocamlmod

